#!/bin/sh

. /lib/functions/network.sh

NODEID=$(sed s/://g /sys/class/net/br-ffda/address)
[[ -n "$NODEID" ]] || exit 1

MAC=$(cat /sys/class/net/br-ffda/address)

network_get_ipaddrs6 FFDA_ADDR ffda6
FFDA_ADDR=$(echo "$FFDA_ADDR" | sed 's/ /", "/g')

if [[ -n "$FFDA_ADDR" ]]
then
  FFDA_ADDR="\"$FFDA_ADDR\""
fi 

gzip <<EOT | alfred -i br-ffda -b bat0 -s 158
{"software": {"fastd": {"version": "v17", "enabled": true}, "batman-adv": {"version": "2014.4.0"}}, "vpn": true, "hostname": "ANPASSEN", "location": {"latitude": 49, "longitude": 8}, "owner": {"contact": "ANPASSEN"}, "hardware": {"model": "TP-Link TL-WDR4300 v1"}, "node_id": "$NODEID", "network": {"mac": "$MAC", "addresses": [$FFDA_ADDR], "mesh_interfaces": []}}
EOT
